Arduino

Reference Language | Libraries | Comparison | Changes

## bitWrite()

#### Description

Writes a bit of a numeric variable.

#### Syntax

bitWrite(x, n, b)

#### Parameters

x: the numeric variable to which to write

n: which bit of the number to write, starting at 0 for the least-significant (rightmost) bit

b: the value to write to the bit (0 or 1)

#### Returns

none

#### See also

- bit()
- bitRead()
- bitSet()
- bitClear()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes